# Uses of Enum Class
org.eclipse.rap.rwt.application.Application.OperationMode

Packages that use Application.OperationMode
Package
Description
org.eclipse.rap.rwt.application

## Uses of Application.OperationMode in org.eclipse.rap.rwt.application

Methods in org.eclipse.rap.rwt.application that return Application.OperationMode
Modifier and Type
Method
Description
`static Application.OperationMode`
Application.OperationMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Application.OperationMode[]`
Application.OperationMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.rap.rwt.application with parameters of type Application.OperationMode
Modifier and Type
Method
Description
`void`
Application.`setOperationMode(Application.OperationMode operationMode)`
The operation mode in which the application will be running.